# Fn<> IsLightWeight
Determines whether an object can efficiently be passed by copy.

Defined in | <seqan/basic.h>
Signature | `IsLightWeight<T>::Type;`

## Template Parameters

`T` | The type to query.

## Return Values

`Type` | Either True or False. True if the object can efficiently be copied.

#### Dox Sources

    /*!
     * @mfn IsLightWeight
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Determines whether an object can efficiently be passed by copy.
     *
     * @signature IsLightWeight<T>::Type;
     *
     * @tparam T The type to query.
     *
     * @return Type Either True or False. True if the object can efficiently be
     *              copied.
     */